From ebfec7d01427c9559461c52324bd66a049fb2885 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sun, 14 Jul 2019 13:39:31 +0200
Subject: [PATCH] linux5.1: update to 5.1.18.

[skip ci]
---
 srcpkgs/linux5.1/files/arm-dotconfig     |  9 +++++----
 srcpkgs/linux5.1/files/arm64-dotconfig   | 10 ++++++----
 srcpkgs/linux5.1/files/i386-dotconfig    |  4 ++--
 srcpkgs/linux5.1/files/ppc-dotconfig     | 25 ++++++++++++++++++++----
 srcpkgs/linux5.1/files/ppc64-dotconfig   |  6 +++---
 srcpkgs/linux5.1/files/ppc64le-dotconfig |  6 +++---
 srcpkgs/linux5.1/files/x86_64-dotconfig  |  8 ++++----
 srcpkgs/linux5.1/template                |  4 ++--
 8 files changed, 46 insertions(+), 26 deletions(-)

diff --git a/srcpkgs/linux5.1/files/arm-dotconfig b/srcpkgs/linux5.1/files/arm-dotconfig
index f87f0fe4f60..c74059779f6 100644
--- a/srcpkgs/linux5.1/files/arm-dotconfig
+++ b/srcpkgs/linux5.1/files/arm-dotconfig
@@ -1,13 +1,13 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm 5.1.0 Kernel Configuration
+# Linux/arm 5.1.18 Kernel Configuration
 #
 
 #
-# Compiler: arm-linux-gnueabihf-gcc (GCC) 8.3.0
+# Compiler: arm-linux-gnueabihf-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
 CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=y
@@ -508,6 +508,7 @@ CONFIG_ARCH_MMAP_RND_BITS=8
 CONFIG_CLONE_BACKWARDS=y
 CONFIG_OLD_SIGSUSPEND3=y
 CONFIG_OLD_SIGACTION=y
+CONFIG_64BIT_TIME=y
 CONFIG_COMPAT_32BIT_TIME=y
 CONFIG_ARCH_OPTIONAL_KERNEL_RWX=y
 CONFIG_ARCH_HAS_STRICT_KERNEL_RWX=y
@@ -2451,7 +2452,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 # CONFIG_AQUANTIA_PHY is not set
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=y
 # CONFIG_BCM87XX_PHY is not set
diff --git a/srcpkgs/linux5.1/files/arm64-dotconfig b/srcpkgs/linux5.1/files/arm64-dotconfig
index cf5e064e082..173df8dea8c 100644
--- a/srcpkgs/linux5.1/files/arm64-dotconfig
+++ b/srcpkgs/linux5.1/files/arm64-dotconfig
@@ -1,13 +1,13 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm64 5.1.9 Kernel Configuration
+# Linux/arm64 5.1.18 Kernel Configuration
 #
 
 #
-# Compiler: aarch64-linux-gnu-gcc (GCC) 8.3.0
+# Compiler: aarch64-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
 CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=y
@@ -389,6 +389,8 @@ CONFIG_ARM64_MODULE_PLTS=y
 CONFIG_RELOCATABLE=y
 CONFIG_RANDOMIZE_BASE=y
 CONFIG_RANDOMIZE_MODULE_REGION_FULL=y
+CONFIG_CC_HAVE_STACKPROTECTOR_SYSREG=y
+CONFIG_STACKPROTECTOR_PER_TASK=y
 
 #
 # Boot options
@@ -2847,7 +2849,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux5.1/files/i386-dotconfig b/srcpkgs/linux5.1/files/i386-dotconfig
index 39efbce9927..103d3305a3e 100644
--- a/srcpkgs/linux5.1/files/i386-dotconfig
+++ b/srcpkgs/linux5.1/files/i386-dotconfig
@@ -1,6 +1,6 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/i386 5.1.9 Kernel Configuration
+# Linux/i386 5.1.18 Kernel Configuration
 #
 
 #
@@ -2876,7 +2876,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux5.1/files/ppc-dotconfig b/srcpkgs/linux5.1/files/ppc-dotconfig
index d20bcc3971e..d8d37b70a45 100644
--- a/srcpkgs/linux5.1/files/ppc-dotconfig
+++ b/srcpkgs/linux5.1/files/ppc-dotconfig
@@ -1,13 +1,13 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/powerpc 5.1.9 Kernel Configuration
+# Linux/powerpc 5.1.18 Kernel Configuration
 #
 
 #
-# Compiler: powerpc-linux-gnu-gcc (GCC) 8.3.0
+# Compiler: powerpc-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
 CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=y
@@ -254,6 +254,7 @@ CONFIG_ARCH_HIBERNATION_POSSIBLE=y
 CONFIG_ARCH_SUSPEND_POSSIBLE=y
 CONFIG_ARCH_SUPPORTS_DEBUG_PAGEALLOC=y
 CONFIG_ARCH_SUPPORTS_UPROBES=y
+CONFIG_ZONE_DMA=y
 CONFIG_PGTABLE_LEVELS=2
 CONFIG_PPC_MSI_BITMAP=y
 
@@ -2498,7 +2499,7 @@ CONFIG_LED_TRIGGER_PHY=y
 #
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 # CONFIG_BCM7XXX_PHY is not set
 CONFIG_BCM87XX_PHY=m
@@ -4757,13 +4758,16 @@ CONFIG_SND_AC97_POWER_SAVE_DEFAULT=0
 CONFIG_SND_SB_COMMON=m
 CONFIG_SND_PCI=y
 CONFIG_SND_AD1889=m
+CONFIG_SND_ALS300=m
 CONFIG_SND_ALS4000=m
+CONFIG_SND_ALI5451=m
 CONFIG_SND_ATIIXP=m
 CONFIG_SND_ATIIXP_MODEM=m
 CONFIG_SND_AU8810=m
 CONFIG_SND_AU8820=m
 CONFIG_SND_AU8830=m
 # CONFIG_SND_AW2 is not set
+CONFIG_SND_AZT3328=m
 CONFIG_SND_BT87X=m
 # CONFIG_SND_BT87X_OVERCLOCK is not set
 CONFIG_SND_CA0106=m
@@ -4788,18 +4792,28 @@ CONFIG_SND_INDIGOIO=m
 CONFIG_SND_INDIGODJ=m
 CONFIG_SND_INDIGOIOX=m
 CONFIG_SND_INDIGODJX=m
+CONFIG_SND_EMU10K1=m
+CONFIG_SND_EMU10K1_SEQ=m
+CONFIG_SND_EMU10K1X=m
 CONFIG_SND_ENS1370=m
 CONFIG_SND_ENS1371=m
+CONFIG_SND_ES1938=m
+CONFIG_SND_ES1968=m
+CONFIG_SND_ES1968_INPUT=y
+CONFIG_SND_ES1968_RADIO=y
 CONFIG_SND_FM801=m
 CONFIG_SND_FM801_TEA575X_BOOL=y
 CONFIG_SND_HDSP=m
 CONFIG_SND_HDSPM=m
+CONFIG_SND_ICE1712=m
 CONFIG_SND_ICE1724=m
 # CONFIG_SND_INTEL8X0 is not set
 # CONFIG_SND_INTEL8X0M is not set
 CONFIG_SND_KORG1212=m
 CONFIG_SND_LOLA=m
 CONFIG_SND_LX6464ES=m
+CONFIG_SND_MAESTRO3=m
+CONFIG_SND_MAESTRO3_INPUT=y
 CONFIG_SND_MIXART=m
 CONFIG_SND_NM256=m
 CONFIG_SND_PCXHR=m
@@ -4807,6 +4821,8 @@ CONFIG_SND_RIPTIDE=m
 CONFIG_SND_RME32=m
 CONFIG_SND_RME96=m
 CONFIG_SND_RME9652=m
+CONFIG_SND_SONICVIBES=m
+CONFIG_SND_TRIDENT=m
 CONFIG_SND_VIA82XX=m
 CONFIG_SND_VIA82XX_MODEM=m
 CONFIG_SND_VIRTUOSO=m
@@ -4880,6 +4896,7 @@ CONFIG_SND_PCMCIA=y
 CONFIG_SND_VXPOCKET=m
 CONFIG_SND_PDAUDIOCF=m
 # CONFIG_SND_SOC is not set
+CONFIG_SND_SYNTH_EMUX=m
 CONFIG_AC97_BUS=m
 
 #
diff --git a/srcpkgs/linux5.1/files/ppc64-dotconfig b/srcpkgs/linux5.1/files/ppc64-dotconfig
index 215b36faeb8..7dcd051bda6 100644
--- a/srcpkgs/linux5.1/files/ppc64-dotconfig
+++ b/srcpkgs/linux5.1/files/ppc64-dotconfig
@@ -1,10 +1,10 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/powerpc 5.1.17 Kernel Configuration
+# Linux/powerpc 5.1.18 Kernel Configuration
 #
 
 #
-# Compiler: gcc (GCC) 9.1.0
+# Compiler: powerpc64-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
 CONFIG_GCC_VERSION=90100
@@ -2927,7 +2927,7 @@ CONFIG_LED_TRIGGER_PHY=y
 CONFIG_SFP=m
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-CONFIG_ASIX_PHY=m
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux5.1/files/ppc64le-dotconfig b/srcpkgs/linux5.1/files/ppc64le-dotconfig
index 7658ca252f6..a6ac040b5bf 100644
--- a/srcpkgs/linux5.1/files/ppc64le-dotconfig
+++ b/srcpkgs/linux5.1/files/ppc64le-dotconfig
@@ -1,10 +1,10 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/powerpc 5.1.17 Kernel Configuration
+# Linux/powerpc 5.1.18 Kernel Configuration
 #
 
 #
-# Compiler: gcc (GCC) 9.1.0
+# Compiler: powerpc64le-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
 CONFIG_GCC_VERSION=90100
@@ -2794,7 +2794,7 @@ CONFIG_LED_TRIGGER_PHY=y
 CONFIG_SFP=m
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-CONFIG_ASIX_PHY=m
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux5.1/files/x86_64-dotconfig b/srcpkgs/linux5.1/files/x86_64-dotconfig
index 1caca939991..c668bd92087 100644
--- a/srcpkgs/linux5.1/files/x86_64-dotconfig
+++ b/srcpkgs/linux5.1/files/x86_64-dotconfig
@@ -1,13 +1,13 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/x86_64 5.1.9 Kernel Configuration
+# Linux/x86_64 5.1.18 Kernel Configuration
 #
 
 #
-# Compiler: gcc (GCC) 8.3.0
+# Compiler: gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
 CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_CC_HAS_WARN_MAYBE_UNINITIALIZED=y
@@ -2940,7 +2940,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux5.1/template b/srcpkgs/linux5.1/template
index c9dbadaff7b..51ee6128fe5 100644
--- a/srcpkgs/linux5.1/template
+++ b/srcpkgs/linux5.1/template
@@ -1,6 +1,6 @@
 # Template file for 'linux5.1'
 pkgname=linux5.1
-version=5.1.17
+version=5.1.18
 revision=1
 wrksrc="linux-${version}"
 short_desc="Linux kernel and modules (${version%.*} series)"
@@ -8,7 +8,7 @@ maintainer="Helmut Pozimski <helmut@pozimski.eu>"
 license="GPL-2.0-only"
 homepage="https://www.kernel.org"
 distfiles="https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-${version}.tar.xz"
-checksum=5935c37966a7883cea6a541684fd4076b8d8d11776d7e76996c62c832b96c43d
+checksum=6013e7dcf59d7c1b168d8edce3dbd61ce340ff289541f920dbd0958bef98f36a
 patch_args="-Np1"
 
 nodebug=yes  # -dbg package is generated below manually
